/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2008. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BUSY                            1
#define  BUSY_MESSAGE                    2

#define  PCAL                            2       /* callback function: PCAL_Initialise */
#define  PCAL_PC_Message                 2
#define  PCAL_Start3                     3       /* callback function: Steps_Changed */
#define  PCAL_Start2                     4       /* callback function: Steps_Changed */
#define  PCAL_Start1                     5       /* callback function: Steps_Changed */
#define  PCAL_Step3                      6       /* callback function: Steps_Changed */
#define  PCAL_End3                       7       /* callback function: Steps_Changed */
#define  PCAL_Step2                      8       /* callback function: Steps_Changed */
#define  PCAL_End2                       9       /* callback function: Steps_Changed */
#define  PCAL_Step1                      10      /* callback function: Steps_Changed */
#define  PCAL_End1                       11      /* callback function: Steps_Changed */
#define  PCAL_CONTINUE                   12      /* callback function: Main_continue */
#define  PCAL_STOP                       13      /* callback function: Main_stop */
#define  PCAL_START                      14      /* callback function: Main_start */
#define  PCAL_GOTO                       15      /* callback function: Main_goto */
#define  PCAL_BTN_QUIT                   16      /* callback function: QUIT */
#define  PCAL_Time3                      17
#define  PCAL_Time2                      18
#define  PCAL_Time1                      19
#define  PCAL_WAVELENGTH                 20      /* callback function: Main_wavelength */
#define  PCAL_ATTENUATION                21
#define  PCAL_GRAPH                      22
#define  PCAL_Select3                    23
#define  PCAL_Select2                    24
#define  PCAL_Select1                    25
#define  PCAL_DECORATION_2               26
#define  PCAL_TEXTMSG_2                  27
#define  PCAL_TIMER                      28      /* callback function: TimerCallback */
#define  PCAL_Text3                      29
#define  PCAL_Text2                      30
#define  PCAL_Text1                      31

#define  SERIAL                          3
#define  SERIAL_WAVELENGTH4              2
#define  SERIAL_WAVELENGTH2              3
#define  SERIAL_WAVELENGTH3              4
#define  SERIAL_WAVELENGTH1              5
#define  SERIAL_CANCEL                   6       /* callback function: Option_cancel */
#define  SERIAL_APPLY                    7       /* callback function: Option_apply */
#define  SERIAL_TEXTMSG                  8


     /* Menu Bars, Menus, and Menu Items: */

#define  MenuBar                         1
#define  MenuBar_Option                  2       /* callback function: Option */


     /* Callback Prototypes: */ 

int  CVICALLBACK Main_continue(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Main_goto(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Main_start(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Main_stop(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Main_wavelength(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK Option(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK Option_apply(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Option_cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PCAL_Initialise(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QUIT(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Steps_Changed(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
