#include "inifile.h"

#define RS232READPACKAGE_ERROR_RETURNNUMOFBYTES 10
#define RS232READPACKAGE_ERROR_RETURNCHECKSUM 11

// communication related constants
#define NO_PARITY               0
#define BITS_8                  8
#define STOPBIT_1               1
#define IN_Q_512                0
#define OUT_Q_512               0
#define MAX_SYNC_TRY            32         // how long we try to sync

#define COMMAND_LEN             4          // size of command/package block

int RS232initialise(int aPort, int aBaud, double aTimeOut);
void RS232release(int aPort);
int RS232try(int aPort, double aTimeOut);
int RS232synchronise(int aPort, double aTimeOut);

int AttenuatorGroup_entry(int aPort, double aTimeOut);
int AttenuatorGroup_exit(int aPort, double aTimeOut);
int AttenuatorGroup_selectLambda(int aLambda, int aPort, double aTimeOut);
int AttenuatorGroup_setLambda(int aPort, double aTimeOut);
int AttenuatorGroup_setAttenuation(double aAttenuation, int aPort, double aTimeOut);

int LambdaToLambdaCode(int aLambda);
int LambdaCodeToLambda(unsigned char aLambdaCode);
char LoByte(int aInt);
char HiByte(int aInt);
int MakeWord(int aHiByte, int aLoByte);
